[jaunty beta] brightness buttons don't work

Bug #351533 reported by Cristian Klein on 2009-03-30
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
hal-info (Ubuntu)
Undecided
Martin Pitt

Bug Description

Binary package hint: hal-info

I followed the instructions on https://wiki.ubuntu.com/Hotkeys/Troubleshooting and have to report the following:

cristi@hades:~$ sudo input-events 4
/dev/input/event4
   bustype : BUS_I8042
   vendor : 0x1
   product : 0x1
   version : 43841
   name : "AT Translated Set 2 keyboard"
   phys : "isa0060/serio0/input0"
   bits ev : EV_SYN EV_KEY EV_MSC EV_LED EV_REP

waiting for events
[brightness down]
13:39:40.460253: EV_SYN code=0 value=0
13:39:42.191733: EV_MSC code=4 value=217
13:39:42.191772: EV_SYN code=0 value=0
13:39:42.200657: EV_MSC code=4 value=217
[brightness up]
13:39:42.200712: EV_SYN code=0 value=0
13:39:42.532680: EV_MSC code=4 value=239
13:39:42.532709: EV_KEY KEY_MACRO (0x70) pressed
13:39:42.532715: EV_SYN code=0 value=0
13:39:42.542084: EV_MSC code=4 value=239
13:39:42.542112: EV_KEY KEY_MACRO (0x70) released

Related branches

Cristian Klein (cristiklein) wrote :

Fixed upstream:
http://cgit.freedesktop.org/hal-info/commit/?id=f3922e6229df62e306d569ec87d96448c3bc2f8a

Other keys present on Fujitsu Siemens should probably be added too.

Martin Pitt (pitti) on 2009-03-31
Changed in hal-info (Ubuntu):
assignee: nobody → pitti
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hal-info - 20090407-0ubuntu1

---------------
hal-info (20090407-0ubuntu1) jaunty; urgency=low

  * New upstream release
    - Add HTC Touch HD audio player (LP: #329462)
    - Fix brightness buttons on Fujitsu-Siemens ESPRIMO Mobile (LP: #351533)

 -- Martin Pitt <email address hidden> Wed, 08 Apr 2009 21:56:49 -0700

Changed in hal-info (Ubuntu):
status: Fix Committed → Fix Released
Shlomi Israely (sijproject) wrote :

Hi,
I own an Esprimo V-6536 from Fujitsu Siemense.
My hotkeys for brightness are different than those which were in hal-info.

$ sudo input-events 4
/dev/input/event4
   bustype : BUS_I8042
   vendor : 0x1
   product : 0x1
   version : 43841
   name : "AT Translated Set 2 keyboard"
   phys : "isa0060/serio0/input0"
   bits ev : EV_SYN EV_KEY EV_MSC EV_LED EV_REP

waiting for events
09:56:21.306068: EV_MSC code=4 value=239
09:56:21.306090: EV_KEY KEY_BRIGHTNESSDOWN (0xe0) pressed
09:56:21.306094: EV_SYN code=0 value=0
09:56:21.318017: EV_MSC code=4 value=239
09:56:21.318037: EV_KEY KEY_BRIGHTNESSDOWN (0xe0) released
09:56:21.318041: EV_SYN code=0 value=0
09:56:22.482125: EV_MSC code=4 value=206
09:56:22.482145: EV_KEY KEY_BRIGHTNESSUP (0xe1) pressed
09:56:22.482150: EV_SYN code=0 value=0
09:56:22.493135: EV_MSC code=4 value=206
09:56:22.493154: EV_KEY KEY_BRIGHTNESSUP (0xe1) released
09:56:22.493157: EV_SYN code=0 value=0

I edited the 30-keymap-misc.fdi with the correct keycodes and then I got functioning Brightness Adjusters.
        <match key="/org/freedesktop/Hal/devices/computer:system.hardware.product" contains="ESPRIMO Mobile">
          <append key="input.keymap.data" type="strlist">e06f:brightnessdown</append>
          <append key="input.keymap.data" type="strlist">e04e:brightnessup</append>
        </match>

You can see the Thread I opened in UbuntuForums here:
http://ubuntuforums.org/showthread.php?p=7189657

$ sudo dmidecode -s system-manufacturer
FUJITSU SIEMENS
$ sudo dmidecode -s system-product-name
ESPRIMO Mobile V6535
$ sudo dmidecode -s system-version
20

If there is more info needed I'd be glad to provide it.

Cristian Klein (cristiklein) wrote :

Hello,

The hotkeys I proposed (and were later added to hal-info) are taken from Esprimo Mobile V5545. I didn't expect that Fujitsu-Siemens changed the hotkey keycodes from one model to another.

I propose to narrow match, so that both Esprimo Mobile V5545 and Esprimo Mobile V6535 can live together. Something like:

        <match key="/org/freedesktop/Hal/devices/computer:system.hardware.product" contains="ESPRIMO Mobile V5">
          <append key="input.keymap.data" type="strlist">e059:brightnessdown</append>
          <append key="input.keymap.data" type="strlist">e06f:brightnessup</append>
        </match>
       <match key="/org/freedesktop/Hal/devices/computer:system.hardware.product" contains="ESPRIMO Mobile V6">
          <append key="input.keymap.data" type="strlist">e06f:brightnessdown</append>
          <append key="input.keymap.data" type="strlist">e04e:brightnessup</append>
        </match>

Martin Pitt (pitti) wrote :

Committed to upstream git head.

Cristian Klein (cristiklein) wrote :

I confirm that the hotkeys work on V5545 with the new .fdi.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers